4

I have installed google-chrome-stable 64 bit. But it is not opening. My system is Elementary OS Freya 64 bit.

Here is the error code that generate in the terminal.

[1:1:0425/175043:ERROR:image_metadata_extractor.cc(111)] Couldn't load                 libexif.
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "pixmap",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "pixmap",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "pixmap",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "pixmap",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "pixmap",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
[6234:6234:0425/175043:ERROR:browser_main_loop.cc(199)] GTK theme error: Unable to locate theme engine in module_path: "murrine",
Gtk-Message: Failed to load module "canberra-gtk-module"
Aborted (core dumped)

I have tried to install murrine but the system showed me that this is already in newest version.

  • Hmm, I wonder if this should be a bug filed against chrome/chromium? – weberc2 Apr 25 '15 at 17:22
  • How did you fix it? (I have the sane problem) – ThorSummoner May 31 '15 at 2:04
  • I was able to resolve all the errors by installing the i386 versions of the libs it was missing, Got stuck on LibGL.1.so – ThorSummoner May 31 '15 at 7:40
4

Looks like Chrome is looking for the Murrine Gtk engine. You should install gtk2-engines-murrine

  • System reports that package is already installed, as well as libexif12 – ThorSummoner May 31 '15 at 2:05
  • 2
    @MuztabaHasanat If Daniel's reply is a valid answer I think he ought to get the Bounty. – Ned64 Jun 1 '15 at 15:57
  • @ned64 This answer does not, in my testing, fix chrome's inability to launch without crashing on Freya. I was able to resolve all console errors with the i386 packages of the missing libs and chrome would still not open – ThorSummoner Jun 7 '15 at 2:42
  • @ThorSummoner if you're getting errors about i386 packages, that means you've installed the 32bit version of Chrome on a 64bit system. You'll need to download the 64bit version instead. – Daniel Foré Jun 8 '15 at 16:21
  • What more can I do than install chrome from the 64 bit deb package? Because that's what I did ¯\_(ツ)_/¯ – ThorSummoner Jun 8 '15 at 16:40
0

The chromium package (which is not the same as Google's Chrome). But it does work, and it does look and act like chrome, which basically satisfies my use case.

Chromium: https://apps.ubuntu.com/cat/applications/chromium-browser/

0

Make sure you have the 64 bit version. If your installed version 32 bit, purge it and then reinstall.

I had a similar issue, turns out I installed the 32 bit when I thought I installed 64 bit.

  • Welcome to Unix&Linux SE! Take a tour to get familiar with our philosophy. Unfortunately, the question is not only old, but already solved - plus, your answer clearly ignores the informations contained in the question. Therefore, your answer might get some downvotes. I suggest that you read both question and existing answers more thoroughly before answering. – MatthewRock Sep 22 '15 at 8:43
  • I disagree with you @MatthewRock. Himself faced with the same problem and same errors if start from terminal. I was completely sure that the downloaded version of 64 but is not true. Repeat downloading 64 version of chrome but have same 32 version. I suspect the problem in the browser Midori. My answer 100% good! ) And my answer different with exist. – Dr.Osd Sep 22 '15 at 16:31
  • Sorry, but I can not understand you in 100%. Your english is hard for me to read. Anyway, problem is solved, and question is old. That were the bullet points of my comment. Your answer itself might have solved the issue, but we have no way of knowing this. – MatthewRock Sep 22 '15 at 16:37

Your Answer

By clicking “Post Your Answer”, you agree to our terms of service, privacy policy and cookie policy

Not the answer you're looking for? Browse other questions tagged or ask your own question.